# Pano modify

The program pano_modify allows you to change some output options of a project file on the command line. The same functions can also accessed inside Hugins GUI on the hugin Stitcher tab or in the hugin Fast Preview window.

You have to give at least an input project file:

      pano_modify input.pto

In this case the unmodified input.pto project file is written to input_mod.pto. To change some parameters you have to add some switches, e.g.:

      pano_modify -c --crop=AUTO --output=output.pto input.pto

## Options

- -o, --output=file.pto: Writes the output to the given project file. If this parameter is not given the suffix _mod is added to the given input project.
- -p, --projection=x: Sets the output projection to the projection with number x.
- --fov=AUTO|HFOV|HFOVxVFOV: Sets output field of view. Following arguments are possible
  - AUTO: calculates optimal fov.
  - HFOV: set hfov to given hfov (If output projection has coupled hfov and vfov, vfov is automatic changed).
  - HFOVxVFOV: set to given hfov and vfov.
- -s, --straighten: Straightens the panorama.
- -c, --center: Centers the panorama.
- --canvas=AUTO|num%|WIDTHxHEIGHT: Sets the output canvas size
  - AUTO: calculate optimal canvas size
  - num%: scales the optimal canvas size by the given percent value, e.g. --canvas=70% will scale the image to 70 % of the optimal size.
  - WIDTHxHEIGHT: set to given size
- --crop=AUTO|left,right,top,bottom: Sets the crop rectangle for the output
  - AUTO: performs an autocrop to the maximal possible size of the panorama
  - left,right,top,bottom: sets the crop to the given size

Retrieved from "http://wiki.panotools.org/Pano_modify"